#
# spec file for package kaffeine (Version 0.4.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  kde3-devel-packages libart_lgpl libart_lgpl-devel xine-devel xine-lib

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libidn libidn-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files xine-devel xine-lib

Name:         kaffeine
URL:          http://members.chello.at/kaffeine
License:      GPL
Group:        Productivity/Multimedia/Video/Players
Summary:      Xine-based Multimedia Player
Version:      0.4.1
Release:      84.2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
Source0:      %name-%version.tar.bz2
Source1:      hu.po
Source2:      cs.po
Source3:      logo04.mpg
Patch0:       %name.diff
Patch2:       messagebox-dvd.diff
Patch3:       move-xinitthreads.patch

%description
Kaffeine plays all files and devices supported by Xine. For example:
MPEG files, AVI (if the codec being used is supported by Xine), MP3,
and Ogg Vorbis. It also handles Video CDs, DVD, and DVB cards.



Authors:
--------
    Jrgen Kofler <kaffeine@gmx.net>

%prep
%setup -q
%patch
%patch2
%patch3
cp %SOURCE1 %SOURCE2 po/
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
  
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=${RPM_BUILD_ROOT} $INSTALL_TARGET
#
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/opt/kde3/share/apps/kaffeine/logo.avi
# -r to get rid of Music
%suse_update_desktop_file -r kaffeine KDE AudioVideo Player Video
%find_lang %name
# already part of kdelibs 3.2
rm $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/video/x-ms-asf.desktop
rm $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/video/x-ms-wmv.desktop
rm $RPM_BUILD_ROOT/opt/kde3/share/services/mms.protocol

%post
%run_ldconfig

%postun
%run_ldconfig

%files -f %name.lang
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%_lib/*
/opt/kde3/share/applnk/*/*
/opt/kde3/share/apps/*
/opt/kde3/share/icons/*
/opt/kde3/share/mimelnk/*/*.desktop
/opt/kde3/share/services/*.desktop

%changelog -n kaffeine
* Fri Apr 16 2004 - adrian@suse.de
- fix crash on closing (#35957, thanks a lot Helio)
* Mon Apr 05 2004 - adrian@suse.de
- update czech translations
* Tue Mar 16 2004 - adrian@suse.de
- replace logo video. DivX4 won't work with our xine.
* Sat Feb 21 2004 - adrian@suse.de
- remove Music from Categories
* Mon Jan 19 2004 - adrian@suse.de
- update to version 0.4.1
* Sun Nov 16 2003 - adrian@suse.de
- update to final 0.4 version
* Fri Nov 07 2003 - adrian@suse.de
- fix build
- update to pre-0.4 snapshot
* Wed Oct 01 2003 - adrian@suse.de
- use --nofork in desktop file or temporary files are get
  removed to early
* Sun Sep 21 2003 - adrian@suse.de
- implement the message box different. It can get translated now
  and it solves also a crash in some cases. (#30224)
* Fri Sep 19 2003 - adrian@suse.de
- from #31052
  * fix possible crash on quit
  * ask explizit for the "none" audio driver, if "auto" fails.
* Fri Sep 19 2003 - adrian@suse.de
- add czech translation
* Thu Sep 18 2003 - varkoly@suse.de
- add hungarian translation
* Sat Sep 06 2003 - adrian@suse.de
- higher priority
- fix position change on pause
* Fri Sep 05 2003 - adrian@suse.de
- justify Categories
* Mon Aug 25 2003 - adrian@suse.de
- fix configure script to detect libXtest -> no DPMS anymore during
  playing
* Sat Aug 23 2003 - adrian@suse.de
- drop some delete calls, which are reported as invalid by valgrind
  seems that fixes the crashes
* Mon Jul 28 2003 - adrian@suse.de
- use new macro name for %%suse_update_desktop_file
* Mon Jul 28 2003 - adrian@suse.de
- add Categories
* Wed Jul 16 2003 - adrian@suse.de
- initial package of version 0.3.2
